.UserBox{
    width: 350px;
    height: 100%;
    padding-right: 20px;
    display: flex;
    position: relative;
}
.UserBox img{
    width: 50px;
    height: 50px;
}
.UserBox p{
    width: 280px;
    height: 50px;
    line-height: 50px;
    text-align: right;
    padding-right: 20px;
    color: #fff;
    font-size: 24px;
}
.UserBox ul{
    width: 200px;
    position: absolute;
    right: 0px;
    top: 50px;
    list-style: none;
    border-left: 1px solid #3e69c5;
    display: none;
}
.UserBox:hover ul{
    display: block;
}
.UserBox li{
    width: 100%;
    height: 50px;
    line-height: 50px;
    font-size: 24px;
    border-bottom: 1px solid #3e69c5;
    cursor: pointer;
}
.UserBox li:hover{
    background-color: #3e69c5;
    color: #fff;
}